> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/payout-modifier-settlement-response.md).

# Payout Modifier Settlement Response

<table><thead><tr><th width="114.609375" align="center">Destination</th><th width="54.75262451171875" align="center"></th><th width="115.19964599609375" align="center">Source</th></tr></thead><tbody><tr><td align="center"><strong>Client</strong></td><td align="center"><strong>←</strong></td><td align="center"><strong>MTS</strong></td></tr></tbody></table>

### Transaction structure

The Payout modifier settlement response, like any other transaction, consists of the envelope and content.

It is a reply to a [Payout modifier settlement request.](/transaction30api/api-description/ticket-json-format-description/payout-modifier-settlement-request.md)

<br>

**Envelope and Content table:**

The Envelope provides the content's (Payout-modifier settlement response) context and contains the following fields (besides Content):

* correlationId
* timestampUtc
* operation
* version

<table data-full-width="true"><thead><tr><th width="351">Example</th><th width="148.5477294921875">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>{
</code></pre></td><td><br></td><td><br></td><td><br></td><td><br></td></tr><tr><td><pre><code>  "content": {
       ........
       ........
       },
</code></pre></td><td>content</td><td>See Content object description below</td><td>Mandatory</td><td>Object</td></tr><tr><td><pre><code>  "correlationId": "jwo29bsl10",
</code></pre></td><td>correlationId</td><td>Same string as submitted by the client in the Payout modifier settlement request</td><td>Mandatory</td><td>String</td></tr><tr><td><pre><code>  "timestampUtc": 1758193724000,
</code></pre></td><td>timestampUtc</td><td>Timestamp of the response placement (Unix time in milliseconds format),<br>minimal: 1,<br>maximum: 9223372036854776000</td><td>Mandatory</td><td>Integer</td></tr><tr><td><pre data-overflow="wrap"><code>  "operation": "payout-modifier-settlement",
</code></pre></td><td>operation</td><td>Should be "payout-modifier-settlement" in the case of a Payout modifier settlement response</td><td>Mandatory</td><td>String</td></tr><tr><td><pre><code>  "version": "3.0"
}
</code></pre></td><td>version</td><td>Indicates the ticket format version</td><td>Mandatory</td><td>String</td></tr></tbody></table>

<br>

### Content object (Payout modifier settlement response) <a href="#mtspayoutmodifiersettlementresponse-v3.0-contentcontentobject-payoutmodifiersettlementresponse" id="mtspayoutmodifiersettlementresponse-v3.0-contentcontentobject-payoutmodifiersettlementresponse"></a>

The Content object includes the following fields:

* type
* signature
* status
* ticketId
* code
* message
* betDetails
* exchangeRate\ <br>

Please note that in the case of major ticket errors or internal system errors the content object has a different structure and contains "type": "error-reply" instead of "type": "ticket-reply. For description, see [Error-reply Response](/transaction30api/api-description/ticket-json-format-description/error-reply-response.md).

**Content object table**

<table data-full-width="true"><thead><tr><th width="350.7265625">Example</th><th width="148.4696044921875">Field Name</th><th>Field Description</th><th width="100">Mandatory/ Optional</th><th width="100">Data Type</th></tr></thead><tbody><tr><td><pre><code>  "content": {
</code></pre></td><td><br></td><td><br></td><td><br></td><td>Object</td></tr><tr><td><pre><code>      "type": "payout-modifier-
</code></pre><pre><code>settlement-reply",
</code></pre></td><td>type</td><td><p>Declaration of content type, should be "payout-modifier-settlement-reply" in the case of a Payout modifier settlement response</p><p>or "error-reply" in the case of major transaction errors or internal system errors (see also <a href="/pages/GY3OQHnyZI8vYXBbPRN4">Error-reply Response</a>).</p></td><td>M</td><td>String</td></tr><tr><td><pre data-overflow="wrap"><code>      "settlementId": "SETL3134413498778",
</code></pre></td><td>settlementId</td><td>Unique ID of this settlement as defined in the client's system,<br>minimal string length = 1,<br>maximum string length = 128</td><td>M</td><td>String</td></tr><tr><td><pre data-overflow="wrap"><code>      "signature": "vwswgzwiPn8hEjyPlzDY
u0B7aNA85fOeAB8moddwq82e",
</code></pre></td><td>signature</td><td>String calculated and sent by MTS to be used as a proof that the response has actually been provided by MTS,<br>minimal string length = 1,<br>maximum string length = 128</td><td>M</td><td>String</td></tr><tr><td><pre><code>      "status": "accepted",
</code></pre></td><td>status</td><td><p>Suggestion on ticket acceptance, provided by MTS,<br>enumerator:</p><ul><li>accepted</li><li>rejected</li></ul></td><td>M</td><td>String</td></tr><tr><td><pre><code>      "reference": "EZ0wq6jxM6WXT
</code></pre><pre><code>vKtkbUFCzooiGcTqABm",
</code></pre><pre><code>
</code></pre><pre><code>
</code></pre></td><td>reference</td><td>Specifies the unique identifier of the promotion that has been used to identify outcomes that needed to be settled,<br>client defined string,<br>max. string length = 512,<br>min. string length =1.</td><td>M</td><td>String</td></tr><tr><td><pre><code>      "code": 0,
</code></pre></td><td>code</td><td>Ticket response validation code (the main reason the ticket has eventually been rejected),<br>see list of <a href="/pages/oNiQgEAqWI4RQnhMuOP8">validation codes</a></td><td>M</td><td>Integer</td></tr><tr><td><pre data-overflow="wrap"><code>      "message": "Transaction processed"
 },
</code></pre></td><td>message</td><td>Readable ticket response validation code, minimal string length = 1,<br>maximum string length = 128</td><td>M</td><td>String</td></tr></tbody></table>

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/transaction30api/api-description/ticket-json-format-description/payout-modifier-settlement-response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
